Bug 50411 - invalid sessions not removed from PersistenManager store
invalid sessions not removed from PersistenManager store
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
7.0.5
PC Windows XP
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-12-04 18:36 UTC by Marco
Modified: 2010-12-05 17:51 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco 2010-12-04 18:36:08 UTC
ChangeSet r1036595 in StandardSession no longer remove sessions from PersistentManger store.

I think PersistentMangerBase must now override method remove(Session session, boolean update) and no longer method remove(Session session).
Comment 1 Mark Thomas 2010-12-05 14:32:20 UTC
Thanks for the report. This has been fixed in trunk and will be included in 7.0.6 onwards.
Comment 2 Marco 2010-12-05 15:15:09 UTC
Hi Mark,

the bug needs a second change. In PersistentManagerBase.swapOut(...) the method call super.remove(session) must change to super.remove(session, false). At the moment a passivate session is not stored.
Comment 3 Mark Thomas 2010-12-05 17:51:06 UTC
Fixed. Also will be in 7.0.6.